## com.lowagie.text.rtf.field
Class RtfTableOfContents

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.field.RtfField
              com.lowagie.text.rtf.field.RtfTableOfContents

All Implemented Interfaces:
  Element, MarkupAttributes, RtfBasicElement

    public class RtfTableOfContents

extends RtfField

The RtfTableOfContents together with multiple RtfTOCEntry objects generates a table of contents. The table of contents will display no entries in the viewing program and the user will have to update it first. A text to inform the user of this is displayed instead.

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Steffen.Stundzig (Steffen.Stundzig@smb-tec.com)

Field Summary
`private java.lang.String` `defaultText` The default text to display

Fields inherited from class com.lowagie.text.rtf.field.RtfField
`document`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfTableOfContents(java.lang.String defaultText)` Constructs a RtfTableOfContents.

Method Summary
`protected byte[]` `writeFieldInstContent()` Writes the field instruction content
`protected byte[]` `writeFieldResultContent()` Writes the field result content

Methods inherited from class com.lowagie.text.rtf.field.RtfField
`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setInHeader, setInTable, setRtfDocument, write`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, content, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defaultText

    private java.lang.String defaultText

  The default text to display

Constructor Detail

### RtfTableOfContents

    public RtfTableOfContents(java.lang.String defaultText)

  Constructs a RtfTableOfContents. The default text is the text that is displayed before the user updates the table of contents

  Parameters:
    `defaultText` - The default text to display

Method Detail

### writeFieldInstContent

    protected byte[] writeFieldInstContent()
                                    throws java.io.IOException

  Writes the field instruction content

  Specified by:
    `writeFieldInstContent` in class `RtfField`
  Returns:
    A byte array containing with the field instructions
  Throws:
    `java.io.IOException`

### writeFieldResultContent

    protected byte[] writeFieldResultContent()
                                      throws java.io.IOException

  Writes the field result content

  Specified by:
    `writeFieldResultContent` in class `RtfField`
  Returns:
    An byte array containing the default text
  Throws:
    `java.io.IOException`